User account creation filtered due to spam.

Bug 20673 - C PCH testsuite assembly comparison failure
Summary: C PCH testsuite assembly comparison failure
Status: RESOLVED FIXED
Alias: None
Product: gcc
Classification: Unclassified
Component: target (show other bugs)
Version: 4.1.0
: P2 normal
Target Milestone: 3.4.5
Assignee: Not yet assigned to anyone
URL:
Keywords:
Depends on:
Blocks: 19300
  Show dependency treegraph
 
Reported: 2005-03-28 20:52 UTC by Christian Joensson
Modified: 2005-08-06 13:23 UTC (History)
2 users (show)

See Also:
Host: sparc64-unknown-linux-gnu
Target: sparc64-unknown-linux-gnu
Build: sparc64-unknown-linux-gnu
Known to work:
Known to fail:
Last reconfirmed: 2005-04-15 19:14:45


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description Christian Joensson 2005-03-28 20:52:07 UTC
Aurora SPARC Linux release 2.0 (Kashmir FC3) UltraSparc IIi (Sabre) sun4u:

binutils-2.15.92.0.2-5.sparc
bison-1.875c-2.sparc
dejagnu-1.4.4-2.noarch
expect-5.42.1-1.sparc
gcc-3.4.2-6.fc3.sparc
gcc4-4.0.0-0.8sparc.sparc
glibc-2.3.3-99.sparc64
glibc-2.3.3-99.sparcv9
glibc-devel-2.3.3-99.sparc
glibc-devel-2.3.3-99.sparc64
glibc-headers-2.3.3-99.sparc64
glibc-headers-2.3.3-99.sparc
glibc-kernheaders-2.6-20sparc.sparc
gmp-4.1.4-3sparc.sparc
gmp-4.1.4-3sparc.sparc64
gmp-devel-4.1.4-3sparc.sparc
gmp-devel-4.1.4-3sparc.sparc64
kernel-2.6.11-1.1166sp1.sparc64
package kernel-devel is not installed
package kernel-smp is not installed
libgcc-3.4.2-6.fc3.sparc
libgcc-3.4.2-6.fc3.sparc64
libstdc++-3.4.2-6.fc3.sparc64
libstdc++-3.4.2-6.fc3.sparc
libstdc++-devel-3.4.2-6.fc3.sparc64
libstdc++-devel-3.4.2-6.fc3.sparc
make-3.80-5.sparc
nptl-devel-2.3.3-99.sparcv9
tcl-8.4.7-2.sparc

LAST_UPDATED: Mon Mar 28 07:44:16 UTC 2005

Native configuration is sparc64-unknown-linux-gnu

Compiler version: 4.1.0 20050328 (experimental) 
Platform: sparc64-unknown-linux-gnu
configure flags: sparc64-linux --enable-__cxa_atexit --disable-multilib --
enable-shared --enable-languages=c,c++

I get these C PCH failures:

FAIL: gcc.dg/pch/static-1.c -O0 -g assembly comparison
FAIL: gcc.dg/pch/static-1.c  -O0  assembly comparison
FAIL: gcc.dg/pch/static-1.c  -O1  assembly comparison
FAIL: gcc.dg/pch/static-2.c -O0 -g assembly comparison
FAIL: gcc.dg/pch/static-2.c  -O0  assembly comparison
FAIL: gcc.dg/pch/static-2.c  -O1  assembly comparison
FAIL: gcc.dg/pch/static-3.c -O0 -g assembly comparison
FAIL: gcc.dg/pch/static-3.c  -O0  assembly comparison
FAIL: gcc.dg/pch/static-3.c  -O1  assembly comparison

and the log file says... 

Executing on host: /usr/local/src/trunk/objdir64/gcc/xgcc -
B/usr/local/src/trunk/objdir64/gcc/ /usr/local/src/trunk/gcc/gcc/testsuite/gcc.
dg/pch/static-1.c  -O0 -g -I. -S  -o static-1.s    (timeout = 300)
PASS: gcc.dg/pch/static-1.c -O0 -g (test for excess errors)
line #47
< 	save	%sp, -192, %sp
> 	.register	%g2, #scratch
line #48
< .LLCFI1:
> 	.register	%g3, #scratch
line #49
< 	.loc 2 5 0
> 	save	%sp, -192, %sp
line #50
< 	sethi	%hi(counter.1102), %g1
> .LLCFI1:
line #51
< 	or	%g1, %lo(counter.1102), %g1
> 	.loc 2 5 0
line #52
< 	ld	[%g1], %g1
> 	sethi	%hi(counter.1102), %g1
line #53
< 	mov	%g1, %g3
> 	or	%g1, %lo(counter.1102), %g1
line #54
< 	add	%g1, 1, %g2
> 	ld	[%g1], %g1
line #55
< 	sethi	%hi(counter.1102), %g1
> 	mov	%g1, %g3
line #56
< 	or	%g1, %lo(counter.1102), %g1
> 	add	%g1, 1, %g2
line #57
< 	st	%g2, [%g1]
> 	sethi	%hi(counter.1102), %g1
line #58
< 	sra	%g3, 0, %g1
> 	or	%g1, %lo(counter.1102), %g1
line #59
< 	.loc 2 6 0
> 	st	%g2, [%g1]
line #60
< 	mov	%g1, %i0
> 	sra	%g3, 0, %g1
line #61
< 	return	%i7+8
> 	.loc 2 6 0
line #62
< 	 nop
> 	mov	%g1, %i0
line #63
< .LLFE3:
> 	return	%i7+8
line #64
< 	.size	bar, .-bar
> 	 nop
line #65
< 	.section	".debug_frame"
> .LLFE3:
line #66
< .LLframe0:
> 	.size	bar, .-bar
line #67
< 	.uaword	.LLECIE0-.LLSCIE0
> 	.section	".debug_frame"
line #68
< .LLSCIE0:
> .LLframe0:
line #69
< 	.uaword	0xffffffff
> 	.uaword	.LLECIE0-.LLSCIE0
line #70
< 	.byte	0x1
> .LLSCIE0:
line #71
< 	.asciz	""
> 	.uaword	0xffffffff
line #72
< 	.uleb128 0x1
> 	.byte	0x1
line #73
< 	.sleb128 -8
> 	.asciz	""
line #74
< 	.byte	0xf
> 	.uleb128 0x1
line #75
< 	.byte	0xc
> 	.sleb128 -8
line #76
< 	.uleb128 0xe
> 	.byte	0xf
line #77
< 	.uleb128 0x7ff
> 	.byte	0xc
line #78
< 	.align 8
> 	.uleb128 0xe
line #79
< .LLECIE0:
> 	.uleb128 0x7ff
line #80
< .LLSFDE0:
> 	.align 8
line #81
< 	.uaword	.LLEFDE0-.LLASFDE0
> .LLECIE0:
line #82
< .LLASFDE0:
> .LLSFDE0:
line #83
< 	.uaword	.LLframe0
> 	.uaword	.LLEFDE0-.LLASFDE0
line #84
< 	.uaxword	.LLFB2
> .LLASFDE0:
line #85
< 	.uaxword	.LLFE2-.LLFB2
> 	.uaword	.LLframe0
line #86
< 	.byte	0x4
> 	.uaxword	.LLFB2
line #87
< 	.uaword	.LLCFI0-.LLFB2
> 	.uaxword	.LLFE2-.LLFB2
line #88
< 	.byte	0xd
> 	.byte	0x4
line #89
< 	.uleb128 0x1e
> 	.uaword	.LLCFI0-.LLFB2
line #90
< 	.byte	0x2d
> 	.byte	0xd
line #91
< 	.byte	0x9
> 	.uleb128 0x1e
line #92
< 	.uleb128 0xf
> 	.byte	0x2d
line #93
< 	.uleb128 0x1f
> 	.byte	0x9
line #94
< 	.align 8
> 	.uleb128 0xf
line #95
< .LLEFDE0:
> 	.uleb128 0x1f
line #96
< .LLSFDE2:
> 	.align 8
line #97
< 	.uaword	.LLEFDE2-.LLASFDE2
> .LLEFDE0:
line #98
< .LLASFDE2:
> .LLSFDE2:
line #99
< 	.uaword	.LLframe0
> 	.uaword	.LLEFDE2-.LLASFDE2
line #100
< 	.uaxword	.LLFB3
> .LLASFDE2:
line #101
< 	.uaxword	.LLFE3-.LLFB3
> 	.uaword	.LLframe0
line #102
< 	.byte	0x4
> 	.uaxword	.LLFB3
line #103
< 	.uaword	.LLCFI1-.LLFB3
> 	.uaxword	.LLFE3-.LLFB3
line #104
< 	.byte	0xd
> 	.byte	0x4
line #105
< 	.uleb128 0x1e
> 	.uaword	.LLCFI1-.LLFB3
line #106
< 	.byte	0x2d
> 	.byte	0xd
line #107
< 	.byte	0x9
> 	.uleb128 0x1e
line #108
< 	.uleb128 0xf
> 	.byte	0x2d
line #109
< 	.uleb128 0x1f
> 	.byte	0x9
line #110
< 	.align 8
> 	.uleb128 0xf
line #111
< .LLEFDE2:
> 	.uleb128 0x1f
line #112
< 	.section	".text"
> 	.align 8
line #113
< .LLetext0:
> .LLEFDE2:
line #114
< 	.section	".debug_info"
> 	.section	".text"
line #115
< 	.uaword	0x126
> .LLetext0:
line #116
< 	.uahalf	0x2
> 	.section	".debug_info"
line #117
< 	.uaword	.LLdebug_abbrev0
> 	.uaword	0x126
line #118
< 	.byte	0x8
> 	.uahalf	0x2
line #119
< 	.uleb128 0x1
> 	.uaword	.LLdebug_abbrev0
line #120
< 	.uaword	.LLdebug_line0
> 	.byte	0x8
line #121
< 	.uaxword	.LLetext0
> 	.uleb128 0x1
line #122
< 	.uaxword	.LLtext0
> 	.uaword	.LLdebug_line0
line #123
< 	.asciz	"GNU C 4.1.0 20050328 (experimental)"
> 	.uaxword	.LLetext0
line #124
< 	.byte	0x1
> 	.uaxword	.LLtext0
line #125
< 	.asciz	"/usr/local/src/trunk/gcc/gcc/testsuite/gcc.dg/pch/static-1.c"
> 	.asciz	"GNU C 4.1.0 20050328 (experimental)"
line #126
< 	.asciz	"/usr/local/src/trunk/objdir64/gcc/testsuite"
> 	.byte	0x1
line #127
< 	.uleb128 0x2
> 	.asciz	"/usr/local/src/trunk/gcc/gcc/testsuite/gcc.dg/pch/static-1.c"
line #128
< 	.uaword	0xea
> 	.asciz	"/usr/local/src/trunk/objdir64/gcc/testsuite"
line #129
< 	.asciz	"foo"
> 	.uleb128 0x2
line #130
< 	.byte	0x1
> 	.uaword	0xea
line #131
< 	.byte	0x2
> 	.asciz	"foo"
line #133
< 	.uaword	0xea
> 	.byte	0x2
line #134
< 	.uaxword	.LLFB2
> 	.byte	0x1
line #135
< 	.uaxword	.LLFE2
> 	.uaword	0xea
line #136
< 	.byte	0x1
> 	.uaxword	.LLFB2
line #137
< 	.byte	0x6e
> 	.uaxword	.LLFE2
line #138
< 	.uleb128 0x3
> 	.byte	0x1
line #139
< 	.asciz	"counter"
> 	.byte	0x6e
line #140
< 	.byte	0x1
> 	.uleb128 0x3
line #141
< 	.byte	0x3
> 	.asciz	"counter"
line #142
< 	.uaword	0xea
> 	.byte	0x1
line #143
< 	.byte	0x9
> 	.byte	0x3
line #144
< 	.byte	0x3
> 	.uaword	0xea
line #145
< 	.uaxword	counter.1094
> 	.byte	0x9
line #146
< 	.byte	0x0
> 	.byte	0x3
line #147
< 	.uleb128 0x4
> 	.uaxword	counter.1094
line #148
< 	.asciz	"int"
> 	.byte	0x0
line #149
< 	.byte	0x4
> 	.uleb128 0x4
line #150
< 	.byte	0x5
> 	.asciz	"int"
line #151
< 	.uleb128 0x5
> 	.byte	0x4
line #152
< 	.asciz	"bar"
> 	.byte	0x5
line #153
< 	.byte	0x2
> 	.uleb128 0x5
line #154
< 	.byte	0x3
> 	.asciz	"bar"
line #155
< 	.byte	0x1
> 	.byte	0x2
line #156
< 	.uaword	0xea
> 	.byte	0x3
line #157
< 	.uaxword	.LLFB3
> 	.byte	0x1
line #158
< 	.uaxword	.LLFE3
> 	.uaword	0xea
line #159
< 	.byte	0x1
> 	.uaxword	.LLFB3
line #160
< 	.byte	0x6e
> 	.uaxword	.LLFE3
line #161
< 	.uleb128 0x3
> 	.byte	0x1
line #162
< 	.asciz	"counter"
> 	.byte	0x6e
line #163
< 	.byte	0x2
> 	.uleb128 0x3
line #164
< 	.byte	0x4
> 	.asciz	"counter"
line #165
< 	.uaword	0xea
> 	.byte	0x2
line #166
< 	.byte	0x9
> 	.byte	0x4
line #167
< 	.byte	0x3
> 	.uaword	0xea
line #168
< 	.uaxword	counter.1102
> 	.byte	0x9
line #169
< 	.byte	0x0
> 	.byte	0x3
line #170
< 	.byte	0x0
> 	.uaxword	counter.1102
line #171
< 	.section	".debug_abbrev"
> 	.byte	0x0
line #172
< 	.uleb128 0x1
> 	.byte	0x0
line #173
< 	.uleb128 0x11
> 	.section	".debug_abbrev"
line #174
< 	.byte	0x1
> 	.uleb128 0x1
line #175
< 	.uleb128 0x10
> 	.uleb128 0x11
line #176
< 	.uleb128 0x6
> 	.byte	0x1
line #177
< 	.uleb128 0x12
> 	.uleb128 0x10
line #178
< 	.uleb128 0x1
> 	.uleb128 0x6
line #179
< 	.uleb128 0x11
> 	.uleb128 0x12
line #181
< 	.uleb128 0x25
> 	.uleb128 0x11
line #182
< 	.uleb128 0x8
> 	.uleb128 0x1
line #183
< 	.uleb128 0x13
> 	.uleb128 0x25
line #184
< 	.uleb128 0xb
> 	.uleb128 0x8
line #185
< 	.uleb128 0x3
> 	.uleb128 0x13
line #186
< 	.uleb128 0x8
> 	.uleb128 0xb
line #187
< 	.uleb128 0x1b
> 	.uleb128 0x3
line #189
< 	.byte	0x0
> 	.uleb128 0x1b
line #190
< 	.byte	0x0
> 	.uleb128 0x8
line #191
< 	.uleb128 0x2
> 	.byte	0x0
line #192
< 	.uleb128 0x2e
> 	.byte	0x0
line #193
< 	.byte	0x1
> 	.uleb128 0x2
line #194
< 	.uleb128 0x1
> 	.uleb128 0x2e
line #195
< 	.uleb128 0x13
> 	.byte	0x1
line #196
< 	.uleb128 0x3
> 	.uleb128 0x1
line #197
< 	.uleb128 0x8
> 	.uleb128 0x13
line #198
< 	.uleb128 0x3a
> 	.uleb128 0x3
line #199
< 	.uleb128 0xb
> 	.uleb128 0x8
line #200
< 	.uleb128 0x3b
> 	.uleb128 0x3a
line #202
< 	.uleb128 0x27
> 	.uleb128 0x3b
line #203
< 	.uleb128 0xc
> 	.uleb128 0xb
line #204
< 	.uleb128 0x49
> 	.uleb128 0x27
line #205
< 	.uleb128 0x13
> 	.uleb128 0xc
line #206
< 	.uleb128 0x11
> 	.uleb128 0x49
line #207
< 	.uleb128 0x1
> 	.uleb128 0x13
line #208
< 	.uleb128 0x12
> 	.uleb128 0x11
line #210
< 	.uleb128 0x40
> 	.uleb128 0x12
line #211
< 	.uleb128 0xa
> 	.uleb128 0x1
line #212
< 	.byte	0x0
> 	.uleb128 0x40
line #213
< 	.byte	0x0
> 	.uleb128 0xa
line #214
< 	.uleb128 0x3
> 	.byte	0x0
line #215
< 	.uleb128 0x34
> 	.byte	0x0
line #216
< 	.byte	0x0
> 	.uleb128 0x3
line #217
< 	.uleb128 0x3
> 	.uleb128 0x34
line #218
< 	.uleb128 0x8
> 	.byte	0x0
line #219
< 	.uleb128 0x3a
> 	.uleb128 0x3
line #220
< 	.uleb128 0xb
> 	.uleb128 0x8
line #221
< 	.uleb128 0x3b
> 	.uleb128 0x3a
line #223
< 	.uleb128 0x49
> 	.uleb128 0x3b
line #224
< 	.uleb128 0x13
> 	.uleb128 0xb
line #225
< 	.uleb128 0x2
> 	.uleb128 0x49
line #226
< 	.uleb128 0xa
> 	.uleb128 0x13
line #227
< 	.byte	0x0
> 	.uleb128 0x2
line #228
< 	.byte	0x0
> 	.uleb128 0xa
line #229
< 	.uleb128 0x4
> 	.byte	0x0
line #230
< 	.uleb128 0x24
> 	.byte	0x0
line #231
< 	.byte	0x0
> 	.uleb128 0x4
line #232
< 	.uleb128 0x3
> 	.uleb128 0x24
line #233
< 	.uleb128 0x8
> 	.byte	0x0
line #234
< 	.uleb128 0xb
> 	.uleb128 0x3
line #235
< 	.uleb128 0xb
> 	.uleb128 0x8
line #236
< 	.uleb128 0x3e
> 	.uleb128 0xb
line #238
< 	.byte	0x0
> 	.uleb128 0x3e
line #239
< 	.byte	0x0
> 	.uleb128 0xb
line #240
< 	.uleb128 0x5
> 	.byte	0x0
line #241
< 	.uleb128 0x2e
> 	.byte	0x0
line #242
< 	.byte	0x1
> 	.uleb128 0x5
line #243
< 	.uleb128 0x3
> 	.uleb128 0x2e
line #244
< 	.uleb128 0x8
> 	.byte	0x1
line #245
< 	.uleb128 0x3a
> 	.uleb128 0x3
line #246
< 	.uleb128 0xb
> 	.uleb128 0x8
line #247
< 	.uleb128 0x3b
> 	.uleb128 0x3a
line #249
< 	.uleb128 0x27
> 	.uleb128 0x3b
line #250
< 	.uleb128 0xc
> 	.uleb128 0xb
line #251
< 	.uleb128 0x49
> 	.uleb128 0x27
line #252
< 	.uleb128 0x13
> 	.uleb128 0xc
line #253
< 	.uleb128 0x11
> 	.uleb128 0x49
line #254
< 	.uleb128 0x1
> 	.uleb128 0x13
line #255
< 	.uleb128 0x12
> 	.uleb128 0x11
line #257
< 	.uleb128 0x40
> 	.uleb128 0x12
line #258
< 	.uleb128 0xa
> 	.uleb128 0x1
line #259
< 	.byte	0x0
> 	.uleb128 0x40
line #260
< 	.byte	0x0
> 	.uleb128 0xa
line #262
< 	.section	".debug_aranges"
> 	.byte	0x0
line #263
< 	.uaword	0x2c
> 	.byte	0x0
line #264
< 	.uahalf	0x2
> 	.section	".debug_aranges"
line #265
< 	.uaword	.LLdebug_info0
> 	.uaword	0x2c
line #266
< 	.byte	0x8
> 	.uahalf	0x2
line #267
< 	.byte	0x0
> 	.uaword	.LLdebug_info0
line #268
< 	.uahalf	0x0
> 	.byte	0x8
line #269
< 	.uahalf	0x0
> 	.byte	0x0
line #270
< 	.uaxword	.LLtext0
> 	.uahalf	0x0
line #271
< 	.uaxword	.LLetext0-.LLtext0
> 	.uahalf	0x0
line #272
< 	.uaxword	0x0
> 	.uaxword	.LLtext0
line #273
< 	.uaxword	0x0
> 	.uaxword	.LLetext0-.LLtext0
line #274
< 	.ident	"GCC: (GNU) 4.1.0 20050328 (experimental)"
> 	.uaxword	0x0
line #275
< 	.section	".note.GNU-stack"
> 	.uaxword	0x0
FAIL: gcc.dg/pch/static-1.c -O0 -g assembly comparison


Executing on host: /usr/local/src/trunk/objdir64/gcc/xgcc -
B/usr/local/src/trunk/objdir64/gcc/ /usr/local/src/trunk/gcc/gcc/testsuite/gcc.
dg/pch/static-1.c   -O0  -I. -S  -o static-1.s    (timeout = 300)
PASS: gcc.dg/pch/static-1.c  -O0  (test for excess errors)
line #30
< 	save	%sp, -192, %sp
> 	.register	%g2, #scratch
line #31
< 	sethi	%hi(counter.1102), %g1
> 	.register	%g3, #scratch
line #32
< 	or	%g1, %lo(counter.1102), %g1
> 	save	%sp, -192, %sp
line #33
< 	ld	[%g1], %g1
> 	sethi	%hi(counter.1102), %g1
line #34
< 	mov	%g1, %g3
> 	or	%g1, %lo(counter.1102), %g1
line #35
< 	add	%g1, 1, %g2
> 	ld	[%g1], %g1
line #36
< 	sethi	%hi(counter.1102), %g1
> 	mov	%g1, %g3
line #37
< 	or	%g1, %lo(counter.1102), %g1
> 	add	%g1, 1, %g2
line #38
< 	st	%g2, [%g1]
> 	sethi	%hi(counter.1102), %g1
line #39
< 	sra	%g3, 0, %g1
> 	or	%g1, %lo(counter.1102), %g1
line #40
< 	mov	%g1, %i0
> 	st	%g2, [%g1]
line #41
< 	return	%i7+8
> 	sra	%g3, 0, %g1
line #42
< 	 nop
> 	mov	%g1, %i0
line #43
< 	.size	bar, .-bar
> 	return	%i7+8
line #44
< 	.ident	"GCC: (GNU) 4.1.0 20050328 (experimental)"
> 	 nop
line #45
< 	.section	".note.GNU-stack"
> 	.size	bar, .-bar
FAIL: gcc.dg/pch/static-1.c  -O0  assembly comparison

Executing on host: /usr/local/src/trunk/objdir64/gcc/xgcc -
B/usr/local/src/trunk/objdir64/gcc/ /usr/local/src/trunk/gcc/gcc/testsuite/gcc.
dg/pch/static-1.c   -O1  -I. -S  -o static-1.s    (timeout = 300)
PASS: gcc.dg/pch/static-1.c  -O1  (test for excess errors)
line #22
< 	sethi	%hi(counter.1102), %g1
> 	.register	%g2, #scratch
line #23
< 	lduw	[%g1+%lo(counter.1102)], %o0
> 	sethi	%hi(counter.1102), %g1
line #24
< 	add	%o0, 1, %g2
> 	lduw	[%g1+%lo(counter.1102)], %o0
line #25
< 	st	%g2, [%g1+%lo(counter.1102)]
> 	add	%o0, 1, %g2
line #26
< 	jmp	%o7+8
> 	st	%g2, [%g1+%lo(counter.1102)]
line #27
< 	 sra	%o0, 0, %o0
> 	jmp	%o7+8
line #28
< 	.size	bar, .-bar
> 	 sra	%o0, 0, %o0
line #29
< 	.ident	"GCC: (GNU) 4.1.0 20050328 (experimental)"
> 	.size	bar, .-bar
line #30
< 	.section	".note.GNU-stack"
> 	.ident	"GCC: (GNU) 4.1.0 20050328 (experimental)"
FAIL: gcc.dg/pch/static-1.c  -O1  assembly comparison

Executing on host: /usr/local/src/trunk/objdir64/gcc/xgcc -
B/usr/local/src/trunk/objdir64/gcc/ /usr/local/src/trunk/gcc/gcc/testsuite/gcc.
dg/pch/static-2.c  -O0 -g -I. -S  -o static-2.s    (timeout = 300)
PASS: gcc.dg/pch/static-2.c -O0 -g (test for excess errors)
line #48
< 	save	%sp, -192, %sp
> 	.register	%g2, #scratch
line #49
< .LLCFI1:
> 	.register	%g3, #scratch
line #50
< 	.loc 2 5 0
> 	save	%sp, -192, %sp
line #51
< 	sethi	%hi(counter.1102), %g1
> .LLCFI1:
line #52
< 	or	%g1, %lo(counter.1102), %g1
> 	.loc 2 5 0
line #53
< 	ld	[%g1], %g1
> 	sethi	%hi(counter.1102), %g1
line #54
< 	mov	%g1, %g3
> 	or	%g1, %lo(counter.1102), %g1
line #55
< 	add	%g1, 1, %g2
> 	ld	[%g1], %g1
line #56
< 	sethi	%hi(counter.1102), %g1
> 	mov	%g1, %g3
line #57
< 	or	%g1, %lo(counter.1102), %g1
> 	add	%g1, 1, %g2
line #58
< 	st	%g2, [%g1]
> 	sethi	%hi(counter.1102), %g1
line #59
< 	sra	%g3, 0, %g1
> 	or	%g1, %lo(counter.1102), %g1
line #60
< 	.loc 2 6 0
> 	st	%g2, [%g1]
line #61
< 	mov	%g1, %i0
> 	sra	%g3, 0, %g1
line #62
< 	return	%i7+8
> 	.loc 2 6 0
line #63
< 	 nop
> 	mov	%g1, %i0
line #64
< .LLFE3:
> 	return	%i7+8
line #65
< 	.size	bar, .-bar
> 	 nop
line #66
< 	.section	".debug_frame"
> .LLFE3:
line #67
< .LLframe0:
> 	.size	bar, .-bar
line #68
< 	.uaword	.LLECIE0-.LLSCIE0
> 	.section	".debug_frame"
line #69
< .LLSCIE0:
> .LLframe0:
line #70
< 	.uaword	0xffffffff
> 	.uaword	.LLECIE0-.LLSCIE0
line #71
< 	.byte	0x1
> .LLSCIE0:
line #72
< 	.asciz	""
> 	.uaword	0xffffffff
line #73
< 	.uleb128 0x1
> 	.byte	0x1
line #74
< 	.sleb128 -8
> 	.asciz	""
line #75
< 	.byte	0xf
> 	.uleb128 0x1
line #76
< 	.byte	0xc
> 	.sleb128 -8
line #77
< 	.uleb128 0xe
> 	.byte	0xf
line #78
< 	.uleb128 0x7ff
> 	.byte	0xc
line #79
< 	.align 8
> 	.uleb128 0xe
line #80
< .LLECIE0:
> 	.uleb128 0x7ff
line #81
< .LLSFDE0:
> 	.align 8
line #82
< 	.uaword	.LLEFDE0-.LLASFDE0
> .LLECIE0:
line #83
< .LLASFDE0:
> .LLSFDE0:
line #84
< 	.uaword	.LLframe0
> 	.uaword	.LLEFDE0-.LLASFDE0
line #85
< 	.uaxword	.LLFB2
> .LLASFDE0:
line #86
< 	.uaxword	.LLFE2-.LLFB2
> 	.uaword	.LLframe0
line #87
< 	.byte	0x4
> 	.uaxword	.LLFB2
line #88
< 	.uaword	.LLCFI0-.LLFB2
> 	.uaxword	.LLFE2-.LLFB2
line #89
< 	.byte	0xd
> 	.byte	0x4
line #90
< 	.uleb128 0x1e
> 	.uaword	.LLCFI0-.LLFB2
line #91
< 	.byte	0x2d
> 	.byte	0xd
line #92
< 	.byte	0x9
> 	.uleb128 0x1e
line #93
< 	.uleb128 0xf
> 	.byte	0x2d
line #94
< 	.uleb128 0x1f
> 	.byte	0x9
line #95
< 	.align 8
> 	.uleb128 0xf
line #96
< .LLEFDE0:
> 	.uleb128 0x1f
line #97
< .LLSFDE2:
> 	.align 8
line #98
< 	.uaword	.LLEFDE2-.LLASFDE2
> .LLEFDE0:
line #99
< .LLASFDE2:
> .LLSFDE2:
line #100
< 	.uaword	.LLframe0
> 	.uaword	.LLEFDE2-.LLASFDE2
line #101
< 	.uaxword	.LLFB3
> .LLASFDE2:
line #102
< 	.uaxword	.LLFE3-.LLFB3
> 	.uaword	.LLframe0
line #103
< 	.byte	0x4
> 	.uaxword	.LLFB3
line #104
< 	.uaword	.LLCFI1-.LLFB3
> 	.uaxword	.LLFE3-.LLFB3
line #105
< 	.byte	0xd
> 	.byte	0x4
line #106
< 	.uleb128 0x1e
> 	.uaword	.LLCFI1-.LLFB3
line #107
< 	.byte	0x2d
> 	.byte	0xd
line #108
< 	.byte	0x9
> 	.uleb128 0x1e
line #109
< 	.uleb128 0xf
> 	.byte	0x2d
line #110
< 	.uleb128 0x1f
> 	.byte	0x9
line #111
< 	.align 8
> 	.uleb128 0xf
line #112
< .LLEFDE2:
> 	.uleb128 0x1f
line #113
< 	.section	".text"
> 	.align 8
line #114
< .LLetext0:
> .LLEFDE2:
line #115
< 	.section	".debug_info"
> 	.section	".text"
line #116
< 	.uaword	0x127
> .LLetext0:
line #117
< 	.uahalf	0x2
> 	.section	".debug_info"
line #118
< 	.uaword	.LLdebug_abbrev0
> 	.uaword	0x127
line #119
< 	.byte	0x8
> 	.uahalf	0x2
line #120
< 	.uleb128 0x1
> 	.uaword	.LLdebug_abbrev0
line #121
< 	.uaword	.LLdebug_line0
> 	.byte	0x8
line #122
< 	.uaxword	.LLetext0
> 	.uleb128 0x1
line #123
< 	.uaxword	.LLtext0
> 	.uaword	.LLdebug_line0
line #124
< 	.asciz	"GNU C 4.1.0 20050328 (experimental)"
> 	.uaxword	.LLetext0
line #125
< 	.byte	0x1
> 	.uaxword	.LLtext0
line #126
< 	.asciz	"/usr/local/src/trunk/gcc/gcc/testsuite/gcc.dg/pch/static-2.c"
> 	.asciz	"GNU C 4.1.0 20050328 (experimental)"
line #127
< 	.asciz	"/usr/local/src/trunk/objdir64/gcc/testsuite"
> 	.byte	0x1
line #128
< 	.uleb128 0x2
> 	.asciz	"/usr/local/src/trunk/gcc/gcc/testsuite/gcc.dg/pch/static-2.c"
line #129
< 	.uaword	0xea
> 	.asciz	"/usr/local/src/trunk/objdir64/gcc/testsuite"
line #130
< 	.asciz	"foo"
> 	.uleb128 0x2
line #131
< 	.byte	0x1
> 	.uaword	0xea
line #132
< 	.byte	0x2
> 	.asciz	"foo"
line #134
< 	.uaword	0xea
> 	.byte	0x2
line #135
< 	.uaxword	.LLFB2
> 	.byte	0x1
line #136
< 	.uaxword	.LLFE2
> 	.uaword	0xea
line #137
< 	.byte	0x1
> 	.uaxword	.LLFB2
line #138
< 	.byte	0x6e
> 	.uaxword	.LLFE2
line #139
< 	.uleb128 0x3
> 	.byte	0x1
line #140
< 	.asciz	"counter"
> 	.byte	0x6e
line #141
< 	.byte	0x1
> 	.uleb128 0x3
line #142
< 	.byte	0x3
> 	.asciz	"counter"
line #143
< 	.uaword	0xea
> 	.byte	0x1
line #144
< 	.byte	0x9
> 	.byte	0x3
line #145
< 	.byte	0x3
> 	.uaword	0xea
line #146
< 	.uaxword	counter.1094
> 	.byte	0x9
line #147
< 	.byte	0x0
> 	.byte	0x3
line #148
< 	.uleb128 0x4
> 	.uaxword	counter.1094
line #149
< 	.asciz	"int"
> 	.byte	0x0
line #150
< 	.byte	0x4
> 	.uleb128 0x4
line #151
< 	.byte	0x5
> 	.asciz	"int"
line #152
< 	.uleb128 0x5
> 	.byte	0x4
line #153
< 	.byte	0x1
> 	.byte	0x5
line #154
< 	.asciz	"bar"
> 	.uleb128 0x5
line #155
< 	.byte	0x2
> 	.byte	0x1
line #156
< 	.byte	0x3
> 	.asciz	"bar"
line #157
< 	.byte	0x1
> 	.byte	0x2
line #158
< 	.uaword	0xea
> 	.byte	0x3
line #159
< 	.uaxword	.LLFB3
> 	.byte	0x1
line #160
< 	.uaxword	.LLFE3
> 	.uaword	0xea
line #161
< 	.byte	0x1
> 	.uaxword	.LLFB3
line #162
< 	.byte	0x6e
> 	.uaxword	.LLFE3
line #163
< 	.uleb128 0x3
> 	.byte	0x1
line #164
< 	.asciz	"counter"
> 	.byte	0x6e
line #165
< 	.byte	0x2
> 	.uleb128 0x3
line #166
< 	.byte	0x4
> 	.asciz	"counter"
line #167
< 	.uaword	0xea
> 	.byte	0x2
line #168
< 	.byte	0x9
> 	.byte	0x4
line #169
< 	.byte	0x3
> 	.uaword	0xea
line #170
< 	.uaxword	counter.1102
> 	.byte	0x9
line #171
< 	.byte	0x0
> 	.byte	0x3
line #172
< 	.byte	0x0
> 	.uaxword	counter.1102
line #173
< 	.section	".debug_abbrev"
> 	.byte	0x0
line #174
< 	.uleb128 0x1
> 	.byte	0x0
line #175
< 	.uleb128 0x11
> 	.section	".debug_abbrev"
line #176
< 	.byte	0x1
> 	.uleb128 0x1
line #177
< 	.uleb128 0x10
> 	.uleb128 0x11
line #178
< 	.uleb128 0x6
> 	.byte	0x1
line #179
< 	.uleb128 0x12
> 	.uleb128 0x10
line #180
< 	.uleb128 0x1
> 	.uleb128 0x6
line #181
< 	.uleb128 0x11
> 	.uleb128 0x12
line #183
< 	.uleb128 0x25
> 	.uleb128 0x11
line #184
< 	.uleb128 0x8
> 	.uleb128 0x1
line #185
< 	.uleb128 0x13
> 	.uleb128 0x25
line #186
< 	.uleb128 0xb
> 	.uleb128 0x8
line #187
< 	.uleb128 0x3
> 	.uleb128 0x13
line #188
< 	.uleb128 0x8
> 	.uleb128 0xb
line #189
< 	.uleb128 0x1b
> 	.uleb128 0x3
line #191
< 	.byte	0x0
> 	.uleb128 0x1b
line #192
< 	.byte	0x0
> 	.uleb128 0x8
line #193
< 	.uleb128 0x2
> 	.byte	0x0
line #194
< 	.uleb128 0x2e
> 	.byte	0x0
line #195
< 	.byte	0x1
> 	.uleb128 0x2
line #196
< 	.uleb128 0x1
> 	.uleb128 0x2e
line #197
< 	.uleb128 0x13
> 	.byte	0x1
line #198
< 	.uleb128 0x3
> 	.uleb128 0x1
line #199
< 	.uleb128 0x8
> 	.uleb128 0x13
line #200
< 	.uleb128 0x3a
> 	.uleb128 0x3
line #201
< 	.uleb128 0xb
> 	.uleb128 0x8
line #202
< 	.uleb128 0x3b
> 	.uleb128 0x3a
line #204
< 	.uleb128 0x27
> 	.uleb128 0x3b
line #205
< 	.uleb128 0xc
> 	.uleb128 0xb
line #206
< 	.uleb128 0x49
> 	.uleb128 0x27
line #207
< 	.uleb128 0x13
> 	.uleb128 0xc
line #208
< 	.uleb128 0x11
> 	.uleb128 0x49
line #209
< 	.uleb128 0x1
> 	.uleb128 0x13
line #210
< 	.uleb128 0x12
> 	.uleb128 0x11
line #212
< 	.uleb128 0x40
> 	.uleb128 0x12
line #213
< 	.uleb128 0xa
> 	.uleb128 0x1
line #214
< 	.byte	0x0
> 	.uleb128 0x40
line #215
< 	.byte	0x0
> 	.uleb128 0xa
line #216
< 	.uleb128 0x3
> 	.byte	0x0
line #217
< 	.uleb128 0x34
> 	.byte	0x0
line #218
< 	.byte	0x0
> 	.uleb128 0x3
line #219
< 	.uleb128 0x3
> 	.uleb128 0x34
line #220
< 	.uleb128 0x8
> 	.byte	0x0
line #221
< 	.uleb128 0x3a
> 	.uleb128 0x3
line #222
< 	.uleb128 0xb
> 	.uleb128 0x8
line #223
< 	.uleb128 0x3b
> 	.uleb128 0x3a
line #225
< 	.uleb128 0x49
> 	.uleb128 0x3b
line #226
< 	.uleb128 0x13
> 	.uleb128 0xb
line #227
< 	.uleb128 0x2
> 	.uleb128 0x49
line #228
< 	.uleb128 0xa
> 	.uleb128 0x13
line #229
< 	.byte	0x0
> 	.uleb128 0x2
line #230
< 	.byte	0x0
> 	.uleb128 0xa
line #231
< 	.uleb128 0x4
> 	.byte	0x0
line #232
< 	.uleb128 0x24
> 	.byte	0x0
line #233
< 	.byte	0x0
> 	.uleb128 0x4
line #234
< 	.uleb128 0x3
> 	.uleb128 0x24
line #235
< 	.uleb128 0x8
> 	.byte	0x0
line #236
< 	.uleb128 0xb
> 	.uleb128 0x3
line #237
< 	.uleb128 0xb
> 	.uleb128 0x8
line #238
< 	.uleb128 0x3e
> 	.uleb128 0xb
line #240
< 	.byte	0x0
> 	.uleb128 0x3e
line #241
< 	.byte	0x0
> 	.uleb128 0xb
line #242
< 	.uleb128 0x5
> 	.byte	0x0
line #243
< 	.uleb128 0x2e
> 	.byte	0x0
line #244
< 	.byte	0x1
> 	.uleb128 0x5
line #245
< 	.uleb128 0x3f
> 	.uleb128 0x2e
line #246
< 	.uleb128 0xc
> 	.byte	0x1
line #247
< 	.uleb128 0x3
> 	.uleb128 0x3f
line #248
< 	.uleb128 0x8
> 	.uleb128 0xc
line #249
< 	.uleb128 0x3a
> 	.uleb128 0x3
line #250
< 	.uleb128 0xb
> 	.uleb128 0x8
line #251
< 	.uleb128 0x3b
> 	.uleb128 0x3a
line #253
< 	.uleb128 0x27
> 	.uleb128 0x3b
line #254
< 	.uleb128 0xc
> 	.uleb128 0xb
line #255
< 	.uleb128 0x49
> 	.uleb128 0x27
line #256
< 	.uleb128 0x13
> 	.uleb128 0xc
line #257
< 	.uleb128 0x11
> 	.uleb128 0x49
line #258
< 	.uleb128 0x1
> 	.uleb128 0x13
line #259
< 	.uleb128 0x12
> 	.uleb128 0x11
line #261
< 	.uleb128 0x40
> 	.uleb128 0x12
line #262
< 	.uleb128 0xa
> 	.uleb128 0x1
line #263
< 	.byte	0x0
> 	.uleb128 0x40
line #264
< 	.byte	0x0
> 	.uleb128 0xa
line #266
< 	.section	".debug_pubnames"
> 	.byte	0x0
line #267
< 	.uaword	0x16
> 	.byte	0x0
line #268
< 	.uahalf	0x2
> 	.section	".debug_pubnames"
line #269
< 	.uaword	.LLdebug_info0
> 	.uaword	0x16
line #270
< 	.uaword	0x12b
> 	.uahalf	0x2
line #271
< 	.uaword	0xf1
> 	.uaword	.LLdebug_info0
line #272
< 	.asciz	"bar"
> 	.uaword	0x12b
line #273
< 	.uaword	0x0
> 	.uaword	0xf1
line #274
< 	.section	".debug_aranges"
> 	.asciz	"bar"
line #275
< 	.uaword	0x2c
> 	.uaword	0x0
line #276
< 	.uahalf	0x2
> 	.section	".debug_aranges"
line #277
< 	.uaword	.LLdebug_info0
> 	.uaword	0x2c
line #278
< 	.byte	0x8
> 	.uahalf	0x2
line #279
< 	.byte	0x0
> 	.uaword	.LLdebug_info0
line #280
< 	.uahalf	0x0
> 	.byte	0x8
line #281
< 	.uahalf	0x0
> 	.byte	0x0
line #282
< 	.uaxword	.LLtext0
> 	.uahalf	0x0
line #283
< 	.uaxword	.LLetext0-.LLtext0
> 	.uahalf	0x0
line #284
< 	.uaxword	0x0
> 	.uaxword	.LLtext0
line #285
< 	.uaxword	0x0
> 	.uaxword	.LLetext0-.LLtext0
line #286
< 	.ident	"GCC: (GNU) 4.1.0 20050328 (experimental)"
> 	.uaxword	0x0
line #287
< 	.section	".note.GNU-stack"
> 	.uaxword	0x0
FAIL: gcc.dg/pch/static-2.c -O0 -g assembly comparison

Executing on host: /usr/local/src/trunk/objdir64/gcc/xgcc -
B/usr/local/src/trunk/objdir64/gcc/ /usr/local/src/trunk/gcc/gcc/testsuite/gcc.
dg/pch/static-2.c   -O0  -I. -S  -o static-2.s    (timeout = 300)
PASS: gcc.dg/pch/static-2.c  -O0  (test for excess errors)
line #31
< 	save	%sp, -192, %sp
> 	.register	%g2, #scratch
line #32
< 	sethi	%hi(counter.1102), %g1
> 	.register	%g3, #scratch
line #33
< 	or	%g1, %lo(counter.1102), %g1
> 	save	%sp, -192, %sp
line #34
< 	ld	[%g1], %g1
> 	sethi	%hi(counter.1102), %g1
line #35
< 	mov	%g1, %g3
> 	or	%g1, %lo(counter.1102), %g1
line #36
< 	add	%g1, 1, %g2
> 	ld	[%g1], %g1
line #37
< 	sethi	%hi(counter.1102), %g1
> 	mov	%g1, %g3
line #38
< 	or	%g1, %lo(counter.1102), %g1
> 	add	%g1, 1, %g2
line #39
< 	st	%g2, [%g1]
> 	sethi	%hi(counter.1102), %g1
line #40
< 	sra	%g3, 0, %g1
> 	or	%g1, %lo(counter.1102), %g1
line #41
< 	mov	%g1, %i0
> 	st	%g2, [%g1]
line #42
< 	return	%i7+8
> 	sra	%g3, 0, %g1
line #43
< 	 nop
> 	mov	%g1, %i0
line #44
< 	.size	bar, .-bar
> 	return	%i7+8
line #45
< 	.ident	"GCC: (GNU) 4.1.0 20050328 (experimental)"
> 	 nop
line #46
< 	.section	".note.GNU-stack"
> 	.size	bar, .-bar
FAIL: gcc.dg/pch/static-2.c  -O0  assembly comparison

Executing on host: /usr/local/src/trunk/objdir64/gcc/xgcc -
B/usr/local/src/trunk/objdir64/gcc/ /usr/local/src/trunk/gcc/gcc/testsuite/gcc.
dg/pch/static-2.c   -O1  -I. -S  -o static-2.s    (timeout = 300)
PASS: gcc.dg/pch/static-2.c  -O1  (test for excess errors)
line #23
< 	sethi	%hi(counter.1102), %g1
> 	.register	%g2, #scratch
line #24
< 	lduw	[%g1+%lo(counter.1102)], %o0
> 	sethi	%hi(counter.1102), %g1
line #25
< 	add	%o0, 1, %g2
> 	lduw	[%g1+%lo(counter.1102)], %o0
line #26
< 	st	%g2, [%g1+%lo(counter.1102)]
> 	add	%o0, 1, %g2
line #27
< 	jmp	%o7+8
> 	st	%g2, [%g1+%lo(counter.1102)]
line #28
< 	 sra	%o0, 0, %o0
> 	jmp	%o7+8
line #29
< 	.size	bar, .-bar
> 	 sra	%o0, 0, %o0
line #30
< 	.ident	"GCC: (GNU) 4.1.0 20050328 (experimental)"
> 	.size	bar, .-bar
line #31
< 	.section	".note.GNU-stack"
> 	.ident	"GCC: (GNU) 4.1.0 20050328 (experimental)"
FAIL: gcc.dg/pch/static-2.c  -O1  assembly comparison

Executing on host: /usr/local/src/trunk/objdir64/gcc/xgcc -
B/usr/local/src/trunk/objdir64/gcc/ /usr/local/src/trunk/gcc/gcc/testsuite/gcc.
dg/pch/static-3.c  -O0 -g -I. -S  -o static-3.s    (timeout = 300)
PASS: gcc.dg/pch/static-3.c -O0 -g (test for excess errors)
line #64
< 	save	%sp, -208, %sp
> 	.register	%g2, #scratch
line #65
< .LLCFI1:
> 	save	%sp, -208, %sp
line #66
< 	stx	%i0, [%fp+2175]
> .LLCFI1:
line #67
< 	.loc 2 5 0
> 	stx	%i0, [%fp+2175]
line #68
< 	st	%g0, [%fp+2027]
> 	.loc 2 5 0
line #69
< 	ld	[%fp+2027], %g1
> 	st	%g0, [%fp+2027]
line #70
< 	st	%g1, [%fp+2023]
> 	ld	[%fp+2027], %g1
line #71
< 	ba,pt	%xcc, .LL7
> 	st	%g1, [%fp+2023]
line #72
< 	 nop
> 	ba,pt	%xcc, .LL7
line #73
< .LL8:
> 	 nop
line #74
< 	.loc 2 6 0
> .LL8:
line #75
< 	ld	[%fp+2023], %g1
> 	.loc 2 6 0
line #76
< 	sra	%g1, 0, %g1
> 	ld	[%fp+2023], %g1
line #77
< 	sllx	%g1, 2, %g1
> 	sra	%g1, 0, %g1
line #78
< 	mov	%g1, %g2
> 	sllx	%g1, 2, %g1
line #79
< 	ldx	[%fp+2175], %g1
> 	mov	%g1, %g2
line #80
< 	add	%g2, %g1, %g1
> 	ldx	[%fp+2175], %g1
line #81
< 	ld	[%g1], %g2
> 	add	%g2, %g1, %g1
line #82
< 	ld	[%fp+2027], %g1
> 	ld	[%g1], %g2
line #83
< 	add	%g1, %g2, %g1
> 	ld	[%fp+2027], %g1
line #84
< 	st	%g1, [%fp+2027]
> 	add	%g1, %g2, %g1
line #85
< 	.loc 2 5 0
> 	st	%g1, [%fp+2027]
line #86
< 	ld	[%fp+2023], %g1
> 	.loc 2 5 0
line #87
< 	add	%g1, 1, %g1
> 	ld	[%fp+2023], %g1
line #88
< 	st	%g1, [%fp+2023]
> 	add	%g1, 1, %g1
line #89
< .LL7:
> 	st	%g1, [%fp+2023]
line #90
< 	ld	[%fp+2023], %g1
> .LL7:
line #91
< 	cmp	%g1, 99
> 	ld	[%fp+2023], %g1
line #92
< 	ble	%icc, .LL8
> 	cmp	%g1, 99
line #93
< 	 nop
> 	ble	%icc, .LL8
line #94
< 	.loc 2 7 0
> 	 nop
line #95
< 	ld	[%fp+2027], %g1
> 	.loc 2 7 0
line #96
< 	sra	%g1, 0, %g1
> 	ld	[%fp+2027], %g1
line #97
< 	.loc 2 8 0
> 	sra	%g1, 0, %g1
line #98
< 	mov	%g1, %i0
> 	.loc 2 8 0
line #99
< 	return	%i7+8
> 	mov	%g1, %i0
line #100
< 	 nop
> 	return	%i7+8
line #101
< .LLFE3:
> 	 nop
line #102
< 	.size	bar, .-bar
> .LLFE3:
line #103
< 	.section	".debug_frame"
> 	.size	bar, .-bar
line #104
< .LLframe0:
> 	.section	".debug_frame"
line #105
< 	.uaword	.LLECIE0-.LLSCIE0
> .LLframe0:
line #106
< .LLSCIE0:
> 	.uaword	.LLECIE0-.LLSCIE0
line #107
< 	.uaword	0xffffffff
> .LLSCIE0:
line #108
< 	.byte	0x1
> 	.uaword	0xffffffff
line #109
< 	.asciz	""
> 	.byte	0x1
line #110
< 	.uleb128 0x1
> 	.asciz	""
line #111
< 	.sleb128 -8
> 	.uleb128 0x1
line #112
< 	.byte	0xf
> 	.sleb128 -8
line #113
< 	.byte	0xc
> 	.byte	0xf
line #114
< 	.uleb128 0xe
> 	.byte	0xc
line #115
< 	.uleb128 0x7ff
> 	.uleb128 0xe
line #116
< 	.align 8
> 	.uleb128 0x7ff
line #117
< .LLECIE0:
> 	.align 8
line #118
< .LLSFDE0:
> .LLECIE0:
line #119
< 	.uaword	.LLEFDE0-.LLASFDE0
> .LLSFDE0:
line #120
< .LLASFDE0:
> 	.uaword	.LLEFDE0-.LLASFDE0
line #121
< 	.uaword	.LLframe0
> .LLASFDE0:
line #122
< 	.uaxword	.LLFB2
> 	.uaword	.LLframe0
line #123
< 	.uaxword	.LLFE2-.LLFB2
> 	.uaxword	.LLFB2
line #124
< 	.byte	0x4
> 	.uaxword	.LLFE2-.LLFB2
line #125
< 	.uaword	.LLCFI0-.LLFB2
> 	.byte	0x4
line #126
< 	.byte	0xd
> 	.uaword	.LLCFI0-.LLFB2
line #127
< 	.uleb128 0x1e
> 	.byte	0xd
line #128
< 	.byte	0x2d
> 	.uleb128 0x1e
line #129
< 	.byte	0x9
> 	.byte	0x2d
line #130
< 	.uleb128 0xf
> 	.byte	0x9
line #131
< 	.uleb128 0x1f
> 	.uleb128 0xf
line #132
< 	.align 8
> 	.uleb128 0x1f
line #133
< .LLEFDE0:
> 	.align 8
line #134
< .LLSFDE2:
> .LLEFDE0:
line #135
< 	.uaword	.LLEFDE2-.LLASFDE2
> .LLSFDE2:
line #136
< .LLASFDE2:
> 	.uaword	.LLEFDE2-.LLASFDE2
line #137
< 	.uaword	.LLframe0
> .LLASFDE2:
line #138
< 	.uaxword	.LLFB3
> 	.uaword	.LLframe0
line #139
< 	.uaxword	.LLFE3-.LLFB3
> 	.uaxword	.LLFB3
line #140
< 	.byte	0x4
> 	.uaxword	.LLFE3-.LLFB3
line #141
< 	.uaword	.LLCFI1-.LLFB3
> 	.byte	0x4
line #142
< 	.byte	0xd
> 	.uaword	.LLCFI1-.LLFB3
line #143
< 	.uleb128 0x1e
> 	.byte	0xd
line #144
< 	.byte	0x2d
> 	.uleb128 0x1e
line #145
< 	.byte	0x9
> 	.byte	0x2d
line #146
< 	.uleb128 0xf
> 	.byte	0x9
line #147
< 	.uleb128 0x1f
> 	.uleb128 0xf
line #148
< 	.align 8
> 	.uleb128 0x1f
line #149
< .LLEFDE2:
> 	.align 8
line #150
< 	.section	".text"
> .LLEFDE2:
line #151
< .LLetext0:
> 	.section	".text"
line #152
< 	.section	".debug_info"
> .LLetext0:
line #153
< 	.uaword	0x14d
> 	.section	".debug_info"
line #154
< 	.uahalf	0x2
> 	.uaword	0x14d
line #155
< 	.uaword	.LLdebug_abbrev0
> 	.uahalf	0x2
line #156
< 	.byte	0x8
> 	.uaword	.LLdebug_abbrev0
line #157
< 	.uleb128 0x1
> 	.byte	0x8
line #158
< 	.uaword	.LLdebug_line0
> 	.uleb128 0x1
line #159
< 	.uaxword	.LLetext0
> 	.uaword	.LLdebug_line0
line #160
< 	.uaxword	.LLtext0
> 	.uaxword	.LLetext0
line #161
< 	.asciz	"GNU C 4.1.0 20050328 (experimental)"
> 	.uaxword	.LLtext0
line #162
< 	.byte	0x1
> 	.asciz	"GNU C 4.1.0 20050328 (experimental)"
line #163
< 	.asciz	"/usr/local/src/trunk/gcc/gcc/testsuite/gcc.dg/pch/static-3.c"
> 	.byte	0x1
line #164
< 	.asciz	"/usr/local/src/trunk/objdir64/gcc/testsuite"
> 	.asciz	"/usr/local/src/trunk/gcc/gcc/testsuite/gcc.dg/pch/static-3.c"
line #165
< 	.uleb128 0x2
> 	.asciz	"/usr/local/src/trunk/objdir64/gcc/testsuite"
line #166
< 	.uaword	0xfa
> 	.uleb128 0x2
line #167
< 	.asciz	"foo"
> 	.uaword	0xfa
line #168
< 	.byte	0x1
> 	.asciz	"foo"
line #169
< 	.byte	0x2
> 	.byte	0x1
line #170
< 	.byte	0x1
> 	.byte	0x2
line #171
< 	.uaword	0xfa
> 	.byte	0x1
line #172
< 	.uaxword	.LLFB2
> 	.uaword	0xfa
line #173
< 	.uaxword	.LLFE2
> 	.uaxword	.LLFB2
line #174
< 	.byte	0x1
> 	.uaxword	.LLFE2
line #175
< 	.byte	0x6e
> 	.byte	0x1
line #176
< 	.uleb128 0x3
> 	.byte	0x6e
line #177
< 	.asciz	"a"
> 	.uleb128 0x3
line #178
< 	.byte	0x1
> 	.asciz	"a"
line #180
< 	.uaword	0x101
> 	.byte	0x1
line #181
< 	.byte	0x3
> 	.uaword	0x101
line #182
< 	.byte	0x8e
> 	.byte	0x3
line #183
< 	.sleb128 2175
> 	.byte	0x8e
line #184
< 	.uleb128 0x4
> 	.sleb128 2175
line #185
< 	.asciz	"i"
> 	.uleb128 0x4
line #186
< 	.byte	0x1
> 	.asciz	"i"
line #187
< 	.byte	0x3
> 	.byte	0x1
line #188
< 	.uaword	0xfa
> 	.byte	0x3
line #189
< 	.byte	0x3
> 	.uaword	0xfa
line #190
< 	.byte	0x8e
> 	.byte	0x3
line #191
< 	.sleb128 2023
> 	.byte	0x8e
line #192
< 	.uleb128 0x4
> 	.sleb128 2023
line #193
< 	.asciz	"tot"
> 	.uleb128 0x4
line #194
< 	.byte	0x1
> 	.asciz	"tot"
line #195
< 	.byte	0x3
> 	.byte	0x1
line #196
< 	.uaword	0xfa
> 	.byte	0x3
line #197
< 	.byte	0x3
> 	.uaword	0xfa
line #198
< 	.byte	0x8e
> 	.byte	0x3
line #199
< 	.sleb128 2027
> 	.byte	0x8e
line #200
< 	.byte	0x0
> 	.sleb128 2027
line #201
< 	.uleb128 0x5
> 	.byte	0x0
line #202
< 	.asciz	"int"
> 	.uleb128 0x5
line #203
< 	.byte	0x4
> 	.asciz	"int"
line #204
< 	.byte	0x5
> 	.byte	0x4
line #205
< 	.uleb128 0x6
> 	.byte	0x5
line #206
< 	.byte	0x8
> 	.uleb128 0x6
line #207
< 	.uaword	0xfa
> 	.byte	0x8
line #208
< 	.uleb128 0x7
> 	.uaword	0xfa
line #209
< 	.byte	0x1
> 	.uleb128 0x7
line #210
< 	.asciz	"bar"
> 	.byte	0x1
line #211
< 	.byte	0x2
> 	.asciz	"bar"
line #212
< 	.byte	0x3
> 	.byte	0x2
line #213
< 	.byte	0x1
> 	.byte	0x3
line #214
< 	.uaword	0xfa
> 	.byte	0x1
line #215
< 	.uaxword	.LLFB3
> 	.uaword	0xfa
line #216
< 	.uaxword	.LLFE3
> 	.uaxword	.LLFB3
line #217
< 	.byte	0x1
> 	.uaxword	.LLFE3
line #218
< 	.byte	0x6e
> 	.byte	0x1
line #219
< 	.uleb128 0x3
> 	.byte	0x6e
line #220
< 	.asciz	"a"
> 	.uleb128 0x3
line #221
< 	.byte	0x2
> 	.asciz	"a"
line #223
< 	.uaword	0x101
> 	.byte	0x2
line #224
< 	.byte	0x3
> 	.uaword	0x101
line #225
< 	.byte	0x8e
> 	.byte	0x3
line #226
< 	.sleb128 2175
> 	.byte	0x8e
line #227
< 	.uleb128 0x4
> 	.sleb128 2175
line #228
< 	.asciz	"i"
> 	.uleb128 0x4
line #229
< 	.byte	0x2
> 	.asciz	"i"
line #230
< 	.byte	0x4
> 	.byte	0x2
line #231
< 	.uaword	0xfa
> 	.byte	0x4
line #232
< 	.byte	0x3
> 	.uaword	0xfa
line #233
< 	.byte	0x8e
> 	.byte	0x3
line #234
< 	.sleb128 2023
> 	.byte	0x8e
line #235
< 	.uleb128 0x4
> 	.sleb128 2023
line #236
< 	.asciz	"tot"
> 	.uleb128 0x4
line #237
< 	.byte	0x2
> 	.asciz	"tot"
line #238
< 	.byte	0x4
> 	.byte	0x2
line #239
< 	.uaword	0xfa
> 	.byte	0x4
line #240
< 	.byte	0x3
> 	.uaword	0xfa
line #241
< 	.byte	0x8e
> 	.byte	0x3
line #242
< 	.sleb128 2027
> 	.byte	0x8e
line #243
< 	.byte	0x0
> 	.sleb128 2027
line #245
< 	.section	".debug_abbrev"
> 	.byte	0x0
line #246
< 	.uleb128 0x1
> 	.section	".debug_abbrev"
line #247
< 	.uleb128 0x11
> 	.uleb128 0x1
line #248
< 	.byte	0x1
> 	.uleb128 0x11
line #249
< 	.uleb128 0x10
> 	.byte	0x1
line #250
< 	.uleb128 0x6
> 	.uleb128 0x10
line #251
< 	.uleb128 0x12
> 	.uleb128 0x6
line #252
< 	.uleb128 0x1
> 	.uleb128 0x12
line #253
< 	.uleb128 0x11
> 	.uleb128 0x1
line #254
< 	.uleb128 0x1
> 	.uleb128 0x11
line #255
< 	.uleb128 0x25
> 	.uleb128 0x1
line #256
< 	.uleb128 0x8
> 	.uleb128 0x25
line #257
< 	.uleb128 0x13
> 	.uleb128 0x8
line #258
< 	.uleb128 0xb
> 	.uleb128 0x13
line #259
< 	.uleb128 0x3
> 	.uleb128 0xb
line #260
< 	.uleb128 0x8
> 	.uleb128 0x3
line #261
< 	.uleb128 0x1b
> 	.uleb128 0x8
line #262
< 	.uleb128 0x8
> 	.uleb128 0x1b
line #263
< 	.byte	0x0
> 	.uleb128 0x8
line #265
< 	.uleb128 0x2
> 	.byte	0x0
line #266
< 	.uleb128 0x2e
> 	.uleb128 0x2
line #267
< 	.byte	0x1
> 	.uleb128 0x2e
line #268
< 	.uleb128 0x1
> 	.byte	0x1
line #269
< 	.uleb128 0x13
> 	.uleb128 0x1
line #270
< 	.uleb128 0x3
> 	.uleb128 0x13
line #271
< 	.uleb128 0x8
> 	.uleb128 0x3
line #272
< 	.uleb128 0x3a
> 	.uleb128 0x8
line #273
< 	.uleb128 0xb
> 	.uleb128 0x3a
line #274
< 	.uleb128 0x3b
> 	.uleb128 0xb
line #275
< 	.uleb128 0xb
> 	.uleb128 0x3b
line #276
< 	.uleb128 0x27
> 	.uleb128 0xb
line #277
< 	.uleb128 0xc
> 	.uleb128 0x27
line #278
< 	.uleb128 0x49
> 	.uleb128 0xc
line #279
< 	.uleb128 0x13
> 	.uleb128 0x49
line #280
< 	.uleb128 0x11
> 	.uleb128 0x13
line #281
< 	.uleb128 0x1
> 	.uleb128 0x11
line #282
< 	.uleb128 0x12
> 	.uleb128 0x1
line #283
< 	.uleb128 0x1
> 	.uleb128 0x12
line #284
< 	.uleb128 0x40
> 	.uleb128 0x1
line #285
< 	.uleb128 0xa
> 	.uleb128 0x40
line #286
< 	.byte	0x0
> 	.uleb128 0xa
line #288
< 	.uleb128 0x3
> 	.byte	0x0
line #289
< 	.uleb128 0x5
> 	.uleb128 0x3
line #290
< 	.byte	0x0
> 	.uleb128 0x5
line #291
< 	.uleb128 0x3
> 	.byte	0x0
line #292
< 	.uleb128 0x8
> 	.uleb128 0x3
line #293
< 	.uleb128 0x3a
> 	.uleb128 0x8
line #294
< 	.uleb128 0xb
> 	.uleb128 0x3a
line #295
< 	.uleb128 0x3b
> 	.uleb128 0xb
line #296
< 	.uleb128 0xb
> 	.uleb128 0x3b
line #297
< 	.uleb128 0x49
> 	.uleb128 0xb
line #298
< 	.uleb128 0x13
> 	.uleb128 0x49
line #299
< 	.uleb128 0x2
> 	.uleb128 0x13
line #300
< 	.uleb128 0xa
> 	.uleb128 0x2
line #301
< 	.byte	0x0
> 	.uleb128 0xa
line #303
< 	.uleb128 0x4
> 	.byte	0x0
line #304
< 	.uleb128 0x34
> 	.uleb128 0x4
line #305
< 	.byte	0x0
> 	.uleb128 0x34
line #306
< 	.uleb128 0x3
> 	.byte	0x0
line #307
< 	.uleb128 0x8
> 	.uleb128 0x3
line #308
< 	.uleb128 0x3a
> 	.uleb128 0x8
line #309
< 	.uleb128 0xb
> 	.uleb128 0x3a
line #310
< 	.uleb128 0x3b
> 	.uleb128 0xb
line #311
< 	.uleb128 0xb
> 	.uleb128 0x3b
line #312
< 	.uleb128 0x49
> 	.uleb128 0xb
line #313
< 	.uleb128 0x13
> 	.uleb128 0x49
line #314
< 	.uleb128 0x2
> 	.uleb128 0x13
line #315
< 	.uleb128 0xa
> 	.uleb128 0x2
line #316
< 	.byte	0x0
> 	.uleb128 0xa
line #318
< 	.uleb128 0x5
> 	.byte	0x0
line #319
< 	.uleb128 0x24
> 	.uleb128 0x5
line #320
< 	.byte	0x0
> 	.uleb128 0x24
line #321
< 	.uleb128 0x3
> 	.byte	0x0
line #322
< 	.uleb128 0x8
> 	.uleb128 0x3
line #323
< 	.uleb128 0xb
> 	.uleb128 0x8
line #325
< 	.uleb128 0x3e
> 	.uleb128 0xb
line #326
< 	.uleb128 0xb
> 	.uleb128 0x3e
line #327
< 	.byte	0x0
> 	.uleb128 0xb
line #329
< 	.uleb128 0x6
> 	.byte	0x0
line #330
< 	.uleb128 0xf
> 	.uleb128 0x6
line #331
< 	.byte	0x0
> 	.uleb128 0xf
line #332
< 	.uleb128 0xb
> 	.byte	0x0
line #334
< 	.uleb128 0x49
> 	.uleb128 0xb
line #335
< 	.uleb128 0x13
> 	.uleb128 0x49
line #336
< 	.byte	0x0
> 	.uleb128 0x13
line #338
< 	.uleb128 0x7
> 	.byte	0x0
line #339
< 	.uleb128 0x2e
> 	.uleb128 0x7
line #340
< 	.byte	0x1
> 	.uleb128 0x2e
line #341
< 	.uleb128 0x3f
> 	.byte	0x1
line #342
< 	.uleb128 0xc
> 	.uleb128 0x3f
line #343
< 	.uleb128 0x3
> 	.uleb128 0xc
line #344
< 	.uleb128 0x8
> 	.uleb128 0x3
line #345
< 	.uleb128 0x3a
> 	.uleb128 0x8
line #346
< 	.uleb128 0xb
> 	.uleb128 0x3a
line #347
< 	.uleb128 0x3b
> 	.uleb128 0xb
line #348
< 	.uleb128 0xb
> 	.uleb128 0x3b
line #349
< 	.uleb128 0x27
> 	.uleb128 0xb
line #350
< 	.uleb128 0xc
> 	.uleb128 0x27
line #351
< 	.uleb128 0x49
> 	.uleb128 0xc
line #352
< 	.uleb128 0x13
> 	.uleb128 0x49
line #353
< 	.uleb128 0x11
> 	.uleb128 0x13
line #354
< 	.uleb128 0x1
> 	.uleb128 0x11
line #355
< 	.uleb128 0x12
> 	.uleb128 0x1
line #356
< 	.uleb128 0x1
> 	.uleb128 0x12
line #357
< 	.uleb128 0x40
> 	.uleb128 0x1
line #358
< 	.uleb128 0xa
> 	.uleb128 0x40
line #359
< 	.byte	0x0
> 	.uleb128 0xa
line #362
< 	.section	".debug_pubnames"
> 	.byte	0x0
line #363
< 	.uaword	0x16
> 	.section	".debug_pubnames"
line #364
< 	.uahalf	0x2
> 	.uaword	0x16
line #365
< 	.uaword	.LLdebug_info0
> 	.uahalf	0x2
line #366
< 	.uaword	0x151
> 	.uaword	.LLdebug_info0
line #367
< 	.uaword	0x107
> 	.uaword	0x151
line #368
< 	.asciz	"bar"
> 	.uaword	0x107
line #369
< 	.uaword	0x0
> 	.asciz	"bar"
line #370
< 	.section	".debug_aranges"
> 	.uaword	0x0
line #371
< 	.uaword	0x2c
> 	.section	".debug_aranges"
line #372
< 	.uahalf	0x2
> 	.uaword	0x2c
line #373
< 	.uaword	.LLdebug_info0
> 	.uahalf	0x2
line #374
< 	.byte	0x8
> 	.uaword	.LLdebug_info0
line #375
< 	.byte	0x0
> 	.byte	0x8
line #376
< 	.uahalf	0x0
> 	.byte	0x0
line #378
< 	.uaxword	.LLtext0
> 	.uahalf	0x0
line #379
< 	.uaxword	.LLetext0-.LLtext0
> 	.uaxword	.LLtext0
line #380
< 	.uaxword	0x0
> 	.uaxword	.LLetext0-.LLtext0
line #382
< 	.ident	"GCC: (GNU) 4.1.0 20050328 (experimental)"
> 	.uaxword	0x0
line #383
< 	.section	".note.GNU-stack"
> 	.ident	"GCC: (GNU) 4.1.0 20050328 (experimental)"
FAIL: gcc.dg/pch/static-3.c -O0 -g assembly comparison

Executing on host: /usr/local/src/trunk/objdir64/gcc/xgcc -
B/usr/local/src/trunk/objdir64/gcc/ /usr/local/src/trunk/gcc/gcc/testsuite/gcc.
dg/pch/static-3.c   -O0  -I. -S  -o static-3.s    (timeout = 300)
PASS: gcc.dg/pch/static-3.c  -O0  (test for excess errors)
line #44
< 	save	%sp, -208, %sp
> 	.register	%g2, #scratch
line #45
< 	stx	%i0, [%fp+2175]
> 	save	%sp, -208, %sp
line #46
< 	st	%g0, [%fp+2027]
> 	stx	%i0, [%fp+2175]
line #47
< 	ld	[%fp+2027], %g1
> 	st	%g0, [%fp+2027]
line #48
< 	st	%g1, [%fp+2023]
> 	ld	[%fp+2027], %g1
line #49
< 	ba,pt	%xcc, .LL7
> 	st	%g1, [%fp+2023]
line #50
< 	 nop
> 	ba,pt	%xcc, .LL7
line #51
< .LL8:
> 	 nop
line #52
< 	ld	[%fp+2023], %g1
> .LL8:
line #53
< 	sra	%g1, 0, %g1
> 	ld	[%fp+2023], %g1
line #54
< 	sllx	%g1, 2, %g1
> 	sra	%g1, 0, %g1
line #55
< 	mov	%g1, %g2
> 	sllx	%g1, 2, %g1
line #56
< 	ldx	[%fp+2175], %g1
> 	mov	%g1, %g2
line #57
< 	add	%g2, %g1, %g1
> 	ldx	[%fp+2175], %g1
line #58
< 	ld	[%g1], %g2
> 	add	%g2, %g1, %g1
line #59
< 	ld	[%fp+2027], %g1
> 	ld	[%g1], %g2
line #60
< 	add	%g1, %g2, %g1
> 	ld	[%fp+2027], %g1
line #61
< 	st	%g1, [%fp+2027]
> 	add	%g1, %g2, %g1
line #62
< 	ld	[%fp+2023], %g1
> 	st	%g1, [%fp+2027]
line #63
< 	add	%g1, 1, %g1
> 	ld	[%fp+2023], %g1
line #64
< 	st	%g1, [%fp+2023]
> 	add	%g1, 1, %g1
line #65
< .LL7:
> 	st	%g1, [%fp+2023]
line #66
< 	ld	[%fp+2023], %g1
> .LL7:
line #67
< 	cmp	%g1, 99
> 	ld	[%fp+2023], %g1
line #68
< 	ble	%icc, .LL8
> 	cmp	%g1, 99
line #69
< 	 nop
> 	ble	%icc, .LL8
line #70
< 	ld	[%fp+2027], %g1
> 	 nop
line #71
< 	sra	%g1, 0, %g1
> 	ld	[%fp+2027], %g1
line #72
< 	mov	%g1, %i0
> 	sra	%g1, 0, %g1
line #73
< 	return	%i7+8
> 	mov	%g1, %i0
line #74
< 	 nop
> 	return	%i7+8
line #75
< 	.size	bar, .-bar
> 	 nop
line #76
< 	.ident	"GCC: (GNU) 4.1.0 20050328 (experimental)"
> 	.size	bar, .-bar
line #77
< 	.section	".note.GNU-stack"
> 	.ident	"GCC: (GNU) 4.1.0 20050328 (experimental)"
FAIL: gcc.dg/pch/static-3.c  -O0  assembly comparison

Executing on host: /usr/local/src/trunk/objdir64/gcc/xgcc -
B/usr/local/src/trunk/objdir64/gcc/ /usr/local/src/trunk/gcc/gcc/testsuite/gcc.
dg/pch/static-3.c   -O1  -I. -S  -o static-3.s    (timeout = 300)
PASS: gcc.dg/pch/static-3.c  -O1  (test for excess errors)
line #25
< 	mov	%o0, %g3
> 	.register	%g2, #scratch
line #26
< 	mov	0, %o0
> 	.register	%g3, #scratch
line #27
< 	mov	0, %g2
> 	mov	%o0, %g3
line #28
< .LL8:
> 	mov	0, %o0
line #29
< 	lduw	[%g3+%g2], %g1
> 	mov	0, %g2
line #30
< 	add	%g2, 4, %g2
> .LL8:
line #31
< 	cmp	%g2, 400
> 	lduw	[%g3+%g2], %g1
line #32
< 	bne,pt	%xcc, .LL8
> 	add	%g2, 4, %g2
line #33
< 	 add	%o0, %g1, %o0
> 	cmp	%g2, 400
line #34
< 	jmp	%o7+8
> 	bne,pt	%xcc, .LL8
line #35
< 	 sra	%o0, 0, %o0
> 	 add	%o0, %g1, %o0
line #36
< 	.size	bar, .-bar
> 	jmp	%o7+8
line #37
< 	.ident	"GCC: (GNU) 4.1.0 20050328 (experimental)"
> 	 sra	%o0, 0, %o0
line #38
< 	.section	".note.GNU-stack"
> 	.size	bar, .-bar
FAIL: gcc.dg/pch/static-3.c  -O1  assembly comparison

*there, all in, yeah, maybe I could have fixed up using diff -u instead... 
maybe a change to dejagnu testsuite scripts??*
Comment 1 Christian Joensson 2005-03-29 07:49:41 UTC
This also happens on 4.0 branch, see testreport at
http://gcc.gnu.org/ml/gcc-testresults/2005-03/msg01946.html
Comment 3 CVS Commits 2005-04-05 17:36:11 UTC
Subject: Bug 20673

CVSROOT:	/cvs/gcc
Module name:	gcc
Changes by:	mmitchel@gcc.gnu.org	2005-04-05 17:35:54

Modified files:
	gcc/cp         : decl.c 
Added files:
	gcc/testsuite/g++.dg/ext: attrib21.C 

Log message:
	PR c++/20673
	* decl.c (grokdeclarator): Correct attribute handling.
	
	PR c++/20673
	* g++.dg/ext/attrib21.C: New test.

Patches:
http://gcc.gnu.org/cgi-bin/cvsweb.cgi/gcc/gcc/cp/decl.c.diff?cvsroot=gcc&r1=1.1382&r2=1.1383
http://gcc.gnu.org/cgi-bin/cvsweb.cgi/gcc/gcc/testsuite/g++.dg/ext/attrib21.C.diff?cvsroot=gcc&r1=1.1&r2=1.2

Comment 4 Andrew Pinski 2005-04-15 19:14:45 UTC
Patch here: <http://gcc.gnu.org/ml/gcc-patches/2005-04/msg01761.html>.

Confirmed.
Comment 5 Andrew Pinski 2005-04-15 19:15:40 UTC
Effects only 4.0 now.
Comment 6 CVS Commits 2005-04-15 19:23:54 UTC
Subject: Bug 20673

CVSROOT:	/cvs/gcc
Module name:	gcc
Changes by:	davem@gcc.gnu.org	2005-04-15 19:23:47

Modified files:
	gcc            : ChangeLog 

Log message:
	Add PR target/20673 to previous changelog.

Patches:
http://gcc.gnu.org/cgi-bin/cvsweb.cgi/gcc/gcc/ChangeLog.diff?cvsroot=gcc&r1=2.8315&r2=2.8316

Comment 7 CVS Commits 2005-04-15 19:25:09 UTC
Subject: Bug 20673

CVSROOT:	/cvs/gcc
Module name:	gcc
Branch: 	gcc-4_0-branch
Changes by:	davem@gcc.gnu.org	2005-04-15 19:25:04

Modified files:
	gcc/config/sparc: sparc.h 

Log message:
	PR target/20673
	* config/sparc/sparc.h (sparc_hard_reg_printed): Mark as GTY(()).

Patches:
http://gcc.gnu.org/cgi-bin/cvsweb.cgi/gcc/gcc/config/sparc/sparc.h.diff?cvsroot=gcc&only_with_tag=gcc-4_0-branch&r1=1.273.8.2&r2=1.273.8.3

Comment 8 David S. Miller 2005-04-15 19:26:49 UTC
This should be fixed both in mainline and the 4.0 branch
Comment 9 CVS Commits 2005-08-06 12:57:35 UTC
Subject: Bug 20673

CVSROOT:	/cvs/gcc
Module name:	gcc
Branch: 	gcc-3_4-branch
Changes by:	ebotcazou@gcc.gnu.org	2005-08-06 12:57:30

Modified files:
	gcc            : ChangeLog 
	gcc/config/sparc: sparc.h 

Log message:
	PR target/20673
	Backport from mainline:
	
	2005-04-15  David S. Miller  <davem@davemloft.net>
	
	* config/sparc/sparc.h (sparc_hard_reg_printed): Mark as GTY(()).

Patches:
http://gcc.gnu.org/cgi-bin/cvsweb.cgi/gcc/gcc/ChangeLog.diff?cvsroot=gcc&only_with_tag=gcc-3_4-branch&r1=2.2326.2.900&r2=2.2326.2.901
http://gcc.gnu.org/cgi-bin/cvsweb.cgi/gcc/gcc/config/sparc/sparc.h.diff?cvsroot=gcc&only_with_tag=gcc-3_4-branch&r1=1.236.6.7&r2=1.236.6.8

Comment 10 Christian Joensson 2005-08-06 13:19:14 UTC
(In reply to comment #9)
> Subject: Bug 20673

should we change the target milestone to 3.4.5 for this?
Comment 11 Eric Botcazou 2005-08-06 13:23:49 UTC
> should we change the target milestone to 3.4.5 for this?

Ah, sure.